## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CollationCacheStruct Struct Reference

`#include <ICUBridgeCollationCompareFunctorImpl.hpp>`

Collaboration diagram for CollationCacheStruct:

[legend]
List of all members.

## Public Methods

- CollationCacheStruct (MemoryManagerType &theManager, const XalanDOMString &theLocale, CollatorType *theCollator)
- CollationCacheStruct (MemoryManagerType &theManager)
- CollationCacheStruct (const CollationCacheStruct &other, MemoryManagerType &theManager)
- void swap (CollationCacheStruct &theOther)

## Public Attributes

- XalanDOMString m_locale
- CollatorType* m_collator

## Constructor & Destructor Documentation

CollationCacheStruct::CollationCacheStruct ( | MemoryManagerType & theManager,
| const XalanDOMString & theLocale,
| CollatorType * theCollator )

CollationCacheStruct::CollationCacheStruct ( | MemoryManagerType & theManager )

CollationCacheStruct::CollationCacheStruct ( | const CollationCacheStruct & other,
| MemoryManagerType & theManager )

## Member Function Documentation

void CollationCacheStruct::swap ( | CollationCacheStruct & theOther )

## Member Data Documentation

CollatorType * CollationCacheStruct::m_collator

XalanDOMString CollationCacheStruct::m_locale

The documentation for this struct was generated from the following file:

- ICUBridgeCollationCompareFunctorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.